<?php

namespace app\user\model;

use fastphp\base\Model;

class User extends Model
{
    protected $table = 'user';

    //获取客户经理相关信息
    public function getManagerList($where = [],$fields = '*', $group = [], $order = '')
    {
        return $this->field($fields)->where($where)->group($group)->order($order)->fetchAll();
    }

    //用户是否存在
    public function isExit($where = '', $fields = '*')
    {
        return $this->field($fields)->where($where)->fetch();
    }

    public function getUserListPage($where = '', $fields = '*', $order = 'id desc', $limit = '50')
    {
        return $this->field($fields)->where($where)->order($order)->limit($limit)->fetchAll();
    }
}